---
lang: en
title: 'API docs: core.applicationconfig'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.applicationconfig.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [ApplicationConfig](./core.applicationconfig.md)

## ApplicationConfig interface

Configuration for application

<b>Signature:</b>

```typescript
export interface ApplicationConfig 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [name](./core.applicationconfig.name.md) | string | Name of the application context |
|  [shutdown](./core.applicationconfig.shutdown.md) | [ShutdownOptions](./core.shutdownoptions.md) | Configuration for signals that shut down the application |


